# ALSA native support currently is not working, use OSS emulation
%def_with alsa

Name: sweep
Version: 0.8.3
Release: alt2

Summary: Sound file editor
License: GPL
Group: Sound

Url: http://sweep.sourceforge.net/

Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
Source4: %name-ru.po.bz2
Patch1: %name-0.8.2-alt-gettext_0.14.patch
Patch2: %name-0.8.3-alt-alsa10.patch

%define ladspa_ver 1.12-alt2
%define libsndfile_ver 1.0.2

BuildPreReq: libsndfile >= %libsndfile_ver
Requires: cmt, ladspa-swh-plugins >= 0.3.3

BuildPreReq: ladspa_sdk >= %ladspa_ver
BuildPreReq: libsndfile-devel >= %libsndfile_ver

%if_with alsa
BuildPreReq: libalsa-devel
%endif

# Automatically added by buildreq on Fri May 07 2004
BuildRequires: XFree86-devel XFree86-libs gcc-c++ glib-devel
BuildRequires: gtk+-devel libmad-devel libogg-devel libsamplerate-devel
BuildRequires: libspeex-devel libstdc++-devel libvorbis-devel pkgconfig

%description
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo levels
and filters. It supports audio filter plugins from the LADSPA project.

%description -l ru_RU.CP1251
Sweep -    ,    
 ,   , ,   
,    ,     .

%package plugins
Summary: Plugins for sweep
Group: Sound
Requires: %name = %version-%release

%description plugins
This package contains plugins for audio editor Sweep.

%description plugins -l ru_RU.CP1251
        Sweep.

%package devel
Summary: Sweep plugin development kit
Group: Development/C
Requires: %name = %version-%release

%description devel
The sweep-devel package contains header files and documentation for writing
plugins for Sweep, a sound wave editor.

Install sweep-devel if you're going to create plugins for Sweep. You will
also need to install sweep.

%description -n %name-devel -l ru_RU.CP1251
         Sweep.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
bzcat %SOURCE4 > po/ru.po

# build with system ladspa_sdk
%__rm -f plugins/ladspa/ladspa.h 
find ./plugins/ladspa -type f -print0|xargs -r0 %__subst 's,"ladspa.h",<ladspa.h>,' --

%build
%__aclocal
%__automake -a -c -f
%__autoconf

%configure --disable-vorbistest --disable-static \
%if_with alsa
	--enable-alsa
%endif

%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Multimedia/Sound" title="Sweep" \
longtitle="Sound file editor" command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

#icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/pixmaps/*
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_menudir/*
%_man1dir/*
%doc NEWS README README.ALSA ChangeLog TODO
%exclude %_datadir/gnome/*/*/sweep.desktop

%files plugins
%dir %_libdir/%name
%_libdir/%name/*.so
%exclude %_libdir/%name/*.la

%files devel
%_includedir/*
%doc README.i18n doc/plugin_writers_guide.txt

%changelog
* Mon May 17 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt2
- Removed build dependecy on gnome-libs.
- Rebuild with static version of tdb.

* Fri May 07 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.3-alt1
- 0.8.3
- Included alsa support.

* Thu Mar 04 2004 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt4
- Requires automake_1.7 to build.
- Fixed build with gettext-0.14.

* Mon Jun 16 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt3
- rebuilt with speex 1.0.1.

* Sat May 10 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt2
- added russian translation.

* Mon May 05 2003 Andrey Astafiev <andrei@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Sat Feb 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Sun Jan 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- new version.

* Fri Dec 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.13-alt1
- new version.

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.12-alt2
- Restored actual changelog and Packager tag (My apology to Andrey Astafiev).

* Wed Dec 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.12-alt1
- 0.5.12

* Wed Nov 13 2002 Andrey Astafiev <andrei@altlinux.ru> 0.5.10-alt1.a
- rebuilt with gcc3.2.
- fixed buildrequires.

* Thu Sep 26 2002 Andrey Astafiev <andrei@altlinux.ru> 0.5.6-alt1
- first build for Sisyphus.
